Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tiles.compat.definition.digester
Class CompatibilityDigesterDefinitionsReader

    java.lang.Object
      org.apache.tiles.definition.digester.DigesterDefinitionsReader
          org.apache.tiles.compat.definition.digester.CompatibilityDigesterDefinitionsReader

All Implemented Interfaces:
  DefinitionsReader

    public class CompatibilityDigesterDefinitionsReader

extends DigesterDefinitionsReader

Digester reader that can read Tiles 1.1, 1.2, 1.3, 1.4 and 2.0 files.

Since:
  2.1.0
Version:
  $Rev: 736275 $ $Date: 2009-01-21 10:58:20 +0100 (mer, 21 gen 2009) $

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.tiles.definition.digester.DigesterDefinitionsReader
`DigesterDefinitionsReader.AddNestedDefinitionRule, DigesterDefinitionsReader.FillAttributeRule, DigesterDefinitionsReader.FillDefinitionRule, DigesterDefinitionsReader.PutAttributeRule`

Field Summary
`protected java.lang.String[]` | `registrations` The set of public identifiers, and corresponding resource names for the versions of the configuration file DTDs we know about.

Fields inherited from class org.apache.tiles.definition.digester.DigesterDefinitionsReader
`DEFINITION_HANDLER_CLASS, digester, LIST_HANDLER_CLASS, PARSER_VALIDATE_PARAMETER_NAME, PUT_ATTRIBUTE_HANDLER_CLASS, validating`

Constructor Summary
`CompatibilityDigesterDefinitionsReader()`

Method Summary
`protected java.lang.String[]` | `getRegistrations()` Returns the registrations for local DTDs.
`protected void` | `initSyntax(org.apache.commons.digester.Digester digester)` Initialised the syntax for reading XML files containing Tiles definitions.

Methods inherited from class org.apache.tiles.definition.digester.DigesterDefinitionsReader
`addDefinition, getNextUniqueDefinitionName, init, read`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### registrations

    protected java.lang.String[] registrations

  The set of public identifiers, and corresponding resource names for the versions of the configuration file DTDs we know about. There MUST be an even number of Strings in this list!

  Since:
    2.1.0

Constructor Detail

### CompatibilityDigesterDefinitionsReader

    public CompatibilityDigesterDefinitionsReader()

Method Detail

### initSyntax

    protected void initSyntax(org.apache.commons.digester.Digester digester)

  Initialised the syntax for reading XML files containing Tiles definitions.

  Overrides:
    `initSyntax` in class `DigesterDefinitionsReader`
  Parameters:
    `digester` - The digester to initialize.

### getRegistrations

    protected java.lang.String[] getRegistrations()

  Returns the registrations for local DTDs.

  Overrides:
    `getRegistrations` in class `DigesterDefinitionsReader`
  Returns:
    An array containing the locations for registrations of local DTDs.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Software Foundation. All Rights Reserved.